JavaHLCompositeLog (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.javahl.JavaHLCompositeLog class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.javahl
Class JavaHLCompositeLog

    java.lang.Object
      org.tmatesoft.svn.util.SVNDebugLogAdapter
          org.tmatesoft.svn.core.javahl.JavaHLCompositeLog

All Implemented Interfaces:
  org.tmatesoft.svn.util.ISVNDebugLog

public class JavaHLCompositeLog
extends org.tmatesoft.svn.util.SVNDebugLogAdapter

Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`JavaHLCompositeLog()`

Method Summary
`void` | `addLogger(org.tmatesoft.svn.util.ISVNDebugLog debugLog)`
`InputStream` | `createLogStream(org.tmatesoft.svn.util.SVNLogType logType, InputStream is)`
`OutputStream` | `createLogStream(org.tmatesoft.svn.util.SVNLogType logType, OutputStream os)`
`void` | `log(org.tmatesoft.svn.util.SVNLogType logType, String message, byte[] data)`
`void` | `log(org.tmatesoft.svn.util.SVNLogType logType, String message, Level logLevel)`
`void` | `log(org.tmatesoft.svn.util.SVNLogType logType, Throwable th, Level logLevel)`
`void` | `removeLogger(org.tmatesoft.svn.util.ISVNDebugLog debugLog)`

Methods inherited from class org.tmatesoft.svn.util.SVNDebugLogAdapter
`createInputLogStream, createOutputLogStream, flushStream, logError, logError, logFine, logFine, logFiner, logFiner, logFinest, logFinest, logSevere, logSevere`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaHLCompositeLog

    public JavaHLCompositeLog()

Method Detail

### addLogger

    public void addLogger(org.tmatesoft.svn.util.ISVNDebugLog debugLog)

### removeLogger

    public void removeLogger(org.tmatesoft.svn.util.ISVNDebugLog debugLog)

### createLogStream

    public InputStream createLogStream(org.tmatesoft.svn.util.SVNLogType logType,
                                       InputStream is)

### createLogStream

    public OutputStream createLogStream(org.tmatesoft.svn.util.SVNLogType logType,
                                        OutputStream os)

### log

    public void log(org.tmatesoft.svn.util.SVNLogType logType,
                    String message,
                    byte[] data)

### log

    public void log(org.tmatesoft.svn.util.SVNLogType logType,
                    Throwable th,
                    Level logLevel)

### log

    public void log(org.tmatesoft.svn.util.SVNLogType logType,
                    String message,
                    Level logLevel)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.